# Instagram Pixelfed Batch Upload

This program takes a folder and iterates over the images and creates Pixelfed postings with a specified batch size. 
The description of the post can be given via the config.json. 
Two variables in the post description can be give (see the `config.json.example` ).

Usage: `./pixelfed_batch_uploader ../../Downloads/Instagram-Backup/media/posts/201406 --title "June 2014"`

The `config.json` must be in the same directory the program is called from (`$PWD`)


[![asciicast](https://asciinema.mxhdr.net/a/6.svg)](https://asciinema.mxhdr.net/a/6)


Check the [package of this repo](https://repos.mxhdr.net/maxheadroom/insta-import-pixelfed/packages) to get pre-compiled binaries for macOS (Apple Silicon), Linux x86_64, Windows ARM


## OpenAI Integration for Image Description

Added OpenAI integration to generate image descriptions and put them into the ALT text for each image. If an `openai_api_key` is present in the `config.json` then the Image description is fetched from the OpenAI API.
